Bug 979624 - [RFE] Allow fail2ban to use firewall-cmd in actions scripts
[RFE] Allow fail2ban to use firewall-cmd in actions scripts
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
19
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 18:16 EDT by Edgar Hoch
Modified: 2013-07-06 21:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-59.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-06 21:33:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SELinux module policy file fail2ban-firewall-cmd.te (1.06 KB, text/plain)
2013-06-28 18:16 EDT, Edgar Hoch
no flags Details

  None (edit)
Description Edgar Hoch 2013-06-28 18:16:25 EDT
Created attachment 766751 [details]
SELinux module policy file fail2ban-firewall-cmd.te

Description of problem:

SELinux does not allow fail2ban to use "firewall-cmd" in an fail2ban action script.

I provide in the attachment a SELinux module policy that allows that.
It would be nice if this would be added to the targeted policy.


Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.12.1-54.fc19.noarch

How reproducible:
Always


For an example and use case of "firewall-cmd" in fail2ban see bug #979622 .
Comment 1 Daniel Walsh 2013-06-29 06:55:28 EDT
commit f1b66fd1c531db657efef84a6f1527d11615e956 adds these rules to git.
Comment 2 Fedora Update System 2013-07-03 15:50:36 EDT
selinux-policy-3.12.1-59.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-59.fc19
Comment 3 Fedora Update System 2013-07-04 22:14:19 EDT
Package selinux-policy-3.12.1-59.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-59.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12373/selinux-policy-3.12.1-59.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-06 21:33:31 EDT
selinux-policy-3.12.1-59.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.